Package org.tmatesoft.svn.core.wc2

# Class SvnTarget

java.lang.Object
org.tmatesoft.svn.core.wc2.SvnTarget

public class SvnTarget extends Object
Represents target of the operation on whose operation will be executed. Can specify working copy path or repository URL.

Version:
  1.7
Author:
  TMate Software Ltd.

## Method Summary

Modifier and Type
Method
Description
`static SvnTarget`
`fromFile(File file)`
Creates a target from file
`static SvnTarget`
`fromFile(File file, SVNRevision pegRevision)`
Creates a target from file and its peg revision
`static SvnTarget`
`fromURL(SVNURL url)`
Creates a target from URL
`static SvnTarget`
`fromURL(SVNURL url, SVNRevision pegRevision)`
Creates a target from URL and its peg revision
`File`
`getFile()`
Returns target's file, if target is not file returns null.
`String`
`getPathOrUrlDecodedString()`
Determines whether target is remote or local, and returns corresponding `String` representation of the target's path
`String`
`getPathOrUrlString()`
Determines whether target is remote or local, and returns corresponding `String` representation of the target's path
`SVNRevision`
`getPegRevision()`
Returns target's peg revision, if it was not defined returns null.
`SVNRevision`
`getResolvedPegRevision()`
Calls `getResolvedPegRevision` with `SVNRevision.HEAD`, `SVNRevision.WORKING` as default values
`SVNRevision`
`getResolvedPegRevision(SVNRevision defaultRemote, SVNRevision defaultLocal)`
Returns target's peg revision if defined, if not defined determines whether target is remote or local, and returns corresponding default revision
`SVNURL`
`getURL()`
Returns target's URL, if target is not URL returns null.
`boolean`
`isFile()`
Determines whether target represents file
`boolean`
`isLocal()`
Determines whether target is located in the local working copy and its peg revision is working copy specific.
`boolean`
`isURL()`
Determines whether target represents URL
`String`
`toString()`
Determines whether target is remote or local, and returns corresponding `String` representation of the target's path and peg revision.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### fromFile

public static SvnTarget fromFile(File file)
Creates a target from file

Parameters:
  `file` - target file
Returns:
  a new `SvnTarget` object representing the file

### fromFile

public static SvnTarget fromFile(File file, SVNRevision pegRevision)
Creates a target from file and its peg revision

Parameters:
  `file` - target file
  `pegRevision` - revision in which the file item is first looked up
Returns:
  a new `SvnTarget` object representing the file with revisition

### fromURL

public static SvnTarget fromURL(SVNURL url)
Creates a target from URL

Parameters:
  `url` - target URL
Returns:
  a new `SvnTarget` object representing URL

### fromURL

public static SvnTarget fromURL(SVNURL url, SVNRevision pegRevision)
Creates a target from URL and its peg revision

Parameters:
  `url` - target URL
  `pegRevision` - revision in which the file item is first looked up
Returns:
  a new `SvnTarget` object representing URL with revisition

### isLocal

public boolean isLocal()
Determines whether target is located in the local working copy and its peg revision is working copy specific.

Returns:
  `true` if the target and its peg revision refers to local working copy, otherwise `false`

### isFile

public boolean isFile()
Determines whether target represents file

Returns:
  `true` if the target is file, otherwise `false`

### isURL

public boolean isURL()
Determines whether target represents URL

Returns:
  `true` if the target is URL, otherwise `false`

### getURL

public SVNURL getURL()
Returns target's URL, if target is not URL returns null.

Returns:
  url of the target

### getFile

public File getFile()
Returns target's file, if target is not file returns null.

Returns:
  url of the target

### getPegRevision

public SVNRevision getPegRevision()
Returns target's peg revision, if it was not defined returns null.

Returns:
  peg revision of the target

### getResolvedPegRevision

public SVNRevision getResolvedPegRevision()
Calls `getResolvedPegRevision` with `SVNRevision.HEAD`, `SVNRevision.WORKING` as default values

Returns:
  peg revision of the target
See Also:
  - `getResolvedPegRevision(SVNRevision, SVNRevision)`

### getResolvedPegRevision

public SVNRevision getResolvedPegRevision(SVNRevision defaultRemote, SVNRevision defaultLocal)
Returns target's peg revision if defined, if not defined determines whether target is remote or local, and returns corresponding default revision

Parameters:
  `defaultRemote` - default revision if target is remote target
  `defaultLocal` - default revision if target is local target
Returns:
  peg revision of the target

### getPathOrUrlString

public String getPathOrUrlString()
Determines whether target is remote or local, and returns corresponding `String` representation of the target's path

Returns:
  `String` representation of the target's path

### getPathOrUrlDecodedString

public String getPathOrUrlDecodedString()
Determines whether target is remote or local, and returns corresponding `String` representation of the target's path

Returns:
  `String` representation of the target

### toString

public String toString()
Determines whether target is remote or local, and returns corresponding `String` representation of the target's path and peg revision.

Overrides:
  `toString` in class `Object`
Returns:
  `String` of the target's path and peg revision